ServerEvents.recipes(event => {
    event.remove({ input: 'minecraft:calcite' })
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:red_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:red_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:pink_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:pink_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:magenta_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:magenta_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:purple_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:purple_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:yellow_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:yellow_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:orange_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:orange_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:lime_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:lime_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:green_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:green_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:cyan_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:cyan_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:light_blue_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:light_blue_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:blue_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:blue_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:brown_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:brown_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:light_gray_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:light_gray_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:gray_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:gray_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:black_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:black_dye', 25))
 
    event.recipes.tfc.barrel_sealed(1000)
        .outputItem('chalk:white_chalk')
        .inputs('tfc:brick/chalk', TFC.fluidStackIngredient('tfc:white_dye', 25))
 
    console.log('Chalk recipe set fired')
  })
